[Bug 1863437] Re: [focal] pacemaker i386 should drop a few i386 only packages

Rafael David Tinoco rafaeldtinoco at ubuntu.com
Sat Feb 15 20:09:12 UTC 2020


# i386 build in local environment

dpkg-deb: building package 'libcib27' in '../libcib27_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'pacemaker-common' in '../pacemaker-common_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'libcrmcommon34' in '../libcrmcommon34_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'liblrmd28' in '../liblrmd28_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libpe-status28' in '../libpe-status28_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libcrmservice-dev' in '../libcrmservice-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'pacemaker-dev' in '../pacemaker-dev_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libstonithd26' in '../libstonithd26_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libpengine-dev' in '../libpengine-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'libcrmcluster-dev' in '../libcrmcluster-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'libstonithd-dev' in '../libstonithd-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'liblrmd-dev' in '../liblrmd-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'libcrmcommon-dev' in '../libcrmcommon-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'libtransitioner25' in '../libtransitioner25_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libpe-rules26' in '../libpe-rules26_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libcrmcluster29' in '../libcrmcluster29_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libcib-dev' in '../libcib-dev_2.0.1-5ubuntu5_all.deb'.
dpkg-deb: building package 'pacemaker-resource-agents' in '../pacemaker-resource-agents_2.0.1-5ubuntu5_all.deb'
dpkg-deb: building package 'libpengine27' in '../libpengine27_2.0.1-5ubuntu5_i386.deb'.
dpkg-deb: building package 'libcrmservice28' in '../libcrmservice28_2.0.1-5ubuntu5_i386.deb'.
 dpkg-genbuildinfo --build=binary
 dpkg-genchanges --build=binary >../pacemaker_2.0.1-5ubuntu5_i386.changes
dpkg-genchanges: warning: package pacemaker in control file but not in files list
dpkg-genchanges: warning: package pacemaker-cli-utils in control file but not in files list
dpkg-genchanges: warning: package pacemaker-remote in control file but not in files list
dpkg-genchanges: info: binary-only upload (no source code included)

----

I had to remove i386 architecture from pacemaker-doc as well, in order
not to Build-Depend-Indep: on asciidoc, doxygen, graphviz, inkscape and
publican.

Build-Depends-Indep:
 asciidoc [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
 doxygen [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
 graphviz [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
 inkscape [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
 publican [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],

The other packages I removed with the option: dh -Nxxxxx

# Ubuntu i386 binary compatibility only effort: Disable ceph support
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   BUILD_PACKAGES += \
        -Npacemaker \
        -Npacemaker-cli-utils \
        -Npacemaker-remote
endif

-- 
You received this bug notification because you are a member of Ubuntu
Server, which is subscribed to the bug report.
https://bugs.launchpad.net/bugs/1863437

Title:
  [focal] pacemaker i386 should drop a few i386 only packages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pacemaker/+bug/1863437/+subscriptions



More information about the Ubuntu-server-bugs mailing list